gdebi (0.9.5.8) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Vcs-Git: https://salsa.debian.org/debian/gdebi.git (Closes: #1081235)

  [ наб ]
  * d/control: debhelper-compat (= 13)
  * d/control: Standards-Version: 3.9.6 -> 4.7.0
  * Fully remove gdebi-kde
    (package removed in 0.9.5.7+nmu2 (2017-12),
     depends on dead-upstream pykde4 which was last present in stretch)
    Closes: #1073241
  * Refresh po/
  * Fix /tmp/gdebi/setup.py:15: SyntaxWarning: invalid escape sequence '\('
  * Flatten away python2 polyfills
  * Ignore "./" files in Included files listing (Closes: #1086627)
  * d/control: don't claim apt ./whatever.deb doesn't work (Closes: #822625)
  * Consistently disable main window and say "Loading..."
    when opening package (Closes: #924761)
  * Read file lists in another process so we don't appear to hang
    Closes: #924761
  * Secure URI in copyright format (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Fix imported-but-unused warnings
  * d/not-installed: allow usr/share/gdebi/GDebi/__pycache__
                       and usr/share/gdebi/*.egg-info

  [ Nils Dagsson Moskopp ]
  * gdebi: wrong german translation “Auswahl ist eine Verzeichnis”
    Closes: #764366

  [ Theppitak Karoonboonyanan ]
  * gdebi: [INTL:th] Updated Thai program translation (Closes: #773336)

  [ Anders Jonsson ]
  * gdebi: [intl:SV] updated Swedish translation (Closes: #794115)

  [ Jean-Philippe MENGUAL ]
  * gdebi: French templates translation (Closes: #931273)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 10 Nov 2024 19:15:56 +0100

gdebi (0.9.5.7+nmu10) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix tests - setuptools v72 drops support for the "test" command,
    so use autopkgtest-pkg-pybuild instead. Also drop pyflakes (py2)
    tests. Remove unused variables to make the test actually pass.
    Closes: #1080220

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 04 Sep 2024 14:44:10 +0200

gdebi (0.9.5.7+nmu9) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix findall regular expression (Closes: #926633, #1076721)

 -- Andreas Rönnquist <gusnan@debian.org>  Tue, 23 Jul 2024 16:10:36 +0200

gdebi (0.9.5.7+nmu8) unstable; urgency=medium

  * Non-maintainer upload.

  [ Doug Brown ]
  * GDebi/GDebiGtk.py: stay alive for pkexec. (Closes: #1065335, LP: #1854588)

 -- Bastian Germann <bage@debian.org>  Fri, 12 Jul 2024 12:10:45 +0200

gdebi (0.9.5.7+nmu7) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace policykit-1 with pkexec. (Closes: #1025563, #983683)
  * Remove X-Python3-Version.
  * Drop dependency against gnome-icon-theme. (Closes: #831050, #887056)
  * Drop unnecessary python3-nose. (Closes: #1018366)

 -- Bastian Germann <bage@debian.org>  Sun, 06 Aug 2023 12:33:07 +0200

gdebi (0.9.5.7+nmu6) unstable; urgency=medium

  * Non-maintainer upload

  [ Christian Ehrhardt ]
  * GDebi/GDebiGtk.py:
    - Don't call gio_copy_in_place if there is no path / uri being
      passed (LP: #1931394, closes: #989647).

  [ Dani Llewellyn ]
  * GDebi/GDebiGtk.py:
    - Drop Ubuntu-specific changes - no-longer needed
      (LP: #1756238, LP: #1946499)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Thu, 14 Oct 2021 23:45:16 +0200

gdebi (0.9.5.7+nmu5) unstable; urgency=medium

  * Non-maintainer upload.
  * Change Maintainer address so that we can turn off the old
    mailing list, now full of spam.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 19 May 2021 21:07:10 +0200

gdebi (0.9.5.7+nmu4) unstable; urgency=medium

  * Non-maintainer upload.
  * Correct ordering of EXPECTED_LINTIAN_OUTPUT. (Closes: #951923)
  * Add a failsafe condition to further prevent FTBFS wrt lintian changes.
    - Thank you, Nilesh Patra.

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 14 Jan 2021 00:21:58 +0530

gdebi (0.9.5.7+nmu3) unstable; urgency=medium

  * Non-maintainer upload acknowledged by maintainer.
  * Move tests/test_pyflakes.py to new directory release_tests which is no
    more run at build time. (Closes: #915298)
    + Drop build-dependencies on pyflakes and pyflakes3.

 -- Axel Beckert <abe@debian.org>  Tue, 12 Mar 2019 01:26:46 +0100

gdebi (0.9.5.7+nmu2) unstable; urgency=medium

  [ Julien Lavergne ]
  * Add a gdebi-gtk-pkexec executable to launch without gksu (LP: #189617).
  * debian/control:
   - Make gdebi depends on policykit-1 | gksu.

  [ Simon Quigley ]
  * Finish the policykit port:
    - gdebi-gtk-pkexec isn't needed, root access is only needed for the
      package installation and removal.
    - Install the policykit file (create debian/gdebi-gtk.install).
    - Modify the gksu commands in GDebi/GDebiGtk.py to call pksu instead.
    - Drop the dependency on gksu and only depend on policykit-1.
    - Thanks for the initial work, Julien!

  [ Jeremy Bicha ]
  * Upload to unstable (LP: #1719746)
  * Stop building gdebi-kde since gdebi-kde is the last package in Testing
    depending on the unmaintained pykde4 (Closes: #864963)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 31 Dec 2017 11:00:13 -0500

gdebi (0.9.5.7+nmu1) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Non-maintainer upload.
  * Fix build dependencies, add pyflakes3 needed after package split
    (Closes: #820693).

 -- Jonathan Wiltshire <jmw@debian.org>  Fri, 11 Nov 2016 17:04:19 +0000

gdebi (0.9.5.7) unstable; urgency=medium

  [ Michael Vogt ]
  * GDebi/GDebiGtk.py:
    - fix child_exited() change for vte 2.91 (LP: #1472618)

  [ Dimitri John Ledkov ]
  * Fix exceptions going out of scope. (LP: #1304274)

 -- Michael Vogt <mvo@debian.org>  Wed, 08 Jul 2015 15:24:36 +0200

gdebi (0.9.5.6) unstable; urgency=medium

  [ Iain Lane ]
  * Use vte 2.91

  [ Alex Henrie ]
  * Use standard MIME type vnd.debian.binary-package so that xdg-open
    foo.deb will use gdebi

 -- Michael Vogt <mvo@debian.org>  Thu, 02 Jul 2015 09:18:36 +0200

gdebi (0.9.5.5+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make sure the watcher for the lintian exit code is added only once. It was
    added twice by mistake (with both IO watchers), causing a race condition
    when checking the exit code. This fixes the lintian test during the build.
    (Closes: #765151).

 -- Ivo De Decker <ivodd@debian.org>  Tue, 11 Nov 2014 17:53:51 +0100

gdebi (0.9.5.5) unstable; urgency=medium

  * Team upload.

  [ Michael Vogt ]
  * mention ability to resolve build-dependencies from a debian/control
    file, thanks to Axel Beckert
  * improve description for gdebi-gtk to include information about
    lintian and the ability to inspect deb packages

  [ Luca Falavigna ]
  * debian/control:
    - Add lintian to gdebi's Recommends field (Closes: #755812).
    - Bump Standards-Version to 3.9.6.
  * tests/test_gdebi_cli.py:
    - Fix FTBFS with non en_US locales (Closes: #757078).

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 29 Sep 2014 09:07:38 +0200

gdebi (0.9.5.4) unstable; urgency=low

  [ Michael Vogt ]
  * fix installing of dependency packages when called with sudo
    (LP: #1309387)

  [ Michael Werle ]
  * gdebi-kde, GDebi/GDebiKDE.py:
    - Fix python3 internatlization bugs (Closes: #743756) (LP: #1304143).

  [ Luca Falavigna ]
  * Fix tests at build time (Closes: #743091).

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 22 Apr 2014 10:54:48 +0200

gdebi (0.9.5.3) unstable; urgency=low

  * convert only full lines from dpkg-statusfd into utf8 (LP: #1301857)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 07 Apr 2014 10:12:02 +0200

gdebi (0.9.5.2) unstable; urgency=medium

  * Add a universal_newlines=True to Popen command to get a proper unicode
    object.  (LP: #1301422)
  * Whitespace normalization.

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 04 Apr 2014 09:48:25 -0400

gdebi (0.9.5.1) unstable; urgency=medium

  * Lower required python3 version to 3.3. As 3.4 is not needed, and
    Debian's default is still 3.3.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Apr 2014 10:52:31 +0100

gdebi (0.9.5) unstable; urgency=medium

  [ Barry Warsaw ]
  * New upstream release.
  * Switched all command line scripts to Python 3 and dropped Dependencies
    on Python 3.  (LP: #1283574)
  * Some whitespace cleanup.
  * Removed some unnecessary shebang lines.
  * Set the dpkg child process write file descriptor to 'inheritable'.

  [ Dimitri John Ledkov ]
  * Process all packages with dh_python3, to get correct dependencies.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Apr 2014 00:18:33 +0100

gdebi (0.9.4) unstable; urgency=medium

  [ Michael Vogt ]
  * Add basic support to view click packages.
  * fix test failure, use "python setup.py test" to run the tests
  * po/*.po:
    - updated translations from launchpad

  [ Dimitri John Ledkov ]
  * Auto-allocate Xserver to run tests under xvfb-run.
  * Add top-level executable scripts to pyflakes test.
  * Check using both pyflakes and pyflakes3.
  * Add lintian build-dependency.

 -- Michael Vogt <mvo@debian.org>  Tue, 18 Mar 2014 20:59:24 +0100

gdebi (0.9.3) unstable; urgency=medium

  * GDebi/GDebiGtk.py, GDebi/GDebiKDE.py:
    - Expand description advising to refresh APT cache when packages
      cannot be downloaded (Closes: #712200).
  * debian/control:
    - Add xauto to Build-Depends field (Closes: #733420).
    - Bump Standards-Version to 3.9.5.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 02 Jan 2014 15:05:08 +0100

gdebi (0.9.2) unstable; urgency=low

  * lp:~mterry/gdebi/enable-tests:
    - run tests during build, thanks to Michael Terry
  * fix infinite loop when lintian is finished

 -- Michael Vogt <mvo@debian.org>  Sun, 15 Dec 2013 15:52:12 +0100

gdebi (0.9.1) unstable; urgency=low

  * GDebi/KDEAptDialogs.py:
    - Fix progress indicators in gdebi-kde, thanks to Francois Gouget
      for the patch! (Closes: #712194).
    - Show the console in gdebi-kde when a package asks a question,
      thanks to Francois Gouget for the patch! (Closes: #712199).
  * GDebi/GDebiKDE.py:
    - Allow to translate 'Installing' window title, thanks to Francois
      Gouget for the patch! (Closes: #712195).
  * GDebi/GDebiCli.py:
    - Remove logging.debug call (Closes: #714337).
  * GDebi/GDebiCommon.py, GDebi/GDebiGtk.py:
    - Do not crash if a package is already installed for another
      architecture (Closes: #717858).
  * GDebi/GDebiCommon.py:
    - Also catch TypeError exception (LP: #1094065).
  * data/gdebi.desktop.in, data/gdebi-kde.desktop.in:
    - Add Keywords key, as per FreeDesktop spec.
  * po/*.po:
    - Refresh translations exported from Rosetta.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 04 Aug 2013 01:07:02 +0200

gdebi (0.9) unstable; urgency=low

  * lp:~mvo/gdebi/py3compat2:
    - more python3 compatbility, gdebi cli and gtk should
      work on both py2 and py3 now

 -- Michael Vogt <mvo@debian.org>  Wed, 08 May 2013 21:22:36 +0200

gdebi (0.9~exp2) experimental; urgency=low

  * GDebi/GDebiKDE.py:
    - Fix kdesudo invocation (Closes: #694681).
    - Remove debug statement.
  * data/gdebi.glade, data/gdebi.gladep, data/gdebi.xml.in:
    - Remove unused files.
  * po/POTFILES.in:
    - Remove reference to dropped files.
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
  * debian/copyright:
    - Update copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 09 Feb 2013 14:39:31 +0100

gdebi (0.9~exp1) experimental; urgency=low

  * lp:~mvo/gdebi/py3compat:
    - prepare for python3 and start adding tests
  * lp:~mvo/gdebi/add-lintian
    - add a lintian tab

 -- Michael Vogt <mvo@debian.org>  Fri, 30 Nov 2012 20:42:48 +0100

gdebi (0.8.7) unstable; urgency=low

  [ Michael Vogt ]
  * GDebi/GDebi.py:
    - do not set a busy cursor if there is no X11 window (LP: #1055181).

  [ Jason Conti ]
  * GDebi/GDebiCommon.py:
    - Define apt.Cache in class initialization (LP: #1072799).

  [ Luca Falavigna ]
  * gdebi-kde:
    - Do not use unicode in help options (Closes: #691998, LP: #1063114).
  * GDebi/GDebiCli.py:
    - Improve exception handling.
  * debian/control:
    - Add file to gdebi-core dependencies (LP: #1067306).

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 02 Nov 2012 17:36:06 +0100

gdebi (0.8.6) unstable; urgency=low

  * gdebi, GDebi/GDebiCli.py:
    - Return dpkg error code (LP: #1033631).
  * gdebi-gtk, gdebi-kde:
    - Convert help options with unicode (LP: #976253).
  * GDebi/GDebi.py:
    - Port to new GIO API (LP: #858700).
  * GDebi/GDebi.py, data/gdebi.ui:
    - Mark menu and labels as sensitive at startup (LP: #1000014).
  * GDebi/GDebiCli.py, GDebi/GDebiCommon.py:
    - Also handle ValueError exception (LP: #980457).
  * GDebi/GDebiKDE.py:
    - Fall-back on kdesu if kdesudo is not available (LP: #949869).
  * debian/control:
    - Add xz-utils to gdebi-core Suggests field (Closes: #685193).
  * po/pt.po:
    - Fix translation string which erroneously used three format string
      parameters instead of two (LP: #964895).
  * po/*.po:
    - Refresh translations exported from Rosetta.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 11 Oct 2012 21:56:26 +0200

gdebi (0.8.5) unstable; urgency=low

  * GDebi/GDebi.py:
    - Check whether model and path are set (LP: #917802, #912389).
  * debian/control:
    - gdebi must depend on python-gi (Closes: #661624).
    - Bump Standards-Version to 3.9.3.
  * debian/copyright:
    - Format now points to copyright-format site.
  * po/*.po:
    - Refresh translations exported from Rosetta.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 29 Feb 2012 22:36:18 +0100

gdebi (0.8.4) unstable; urgency=low

  * GDebi/GDebiKDE.py:
    - Fix execl invocation (Closes: #654456).
  * debian/control:
    - Add kdebase-runtime as optional dependency for gdebi-kde.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 25 Jan 2012 23:37:55 +0100

gdebi (0.8.3) unstable; urgency=low

  [ Luca Falavigna ]
  * data/gdebi.desktop.in:
    - Append %f to Exec parameter (LP: #803729).
  * GDebi/GDebiKDE.py:
    - Invoke kdesu instead of kdesudo in Debian (Closes: #641078).
  * debian/control:
    - Suggest xz-lzma to provide support for lzma compresed packages,
      they are not very common as lzma is no longer supported by
      Debian archive (superseded by xz), but are still valid and
      supported by dpkg/apt (Closes: #650507).
    - Add kde-runtime to gdebi-kde dependencies for kdesu support.
  * po/*.po:
    - Refresh translations exported from Rosetta.

  [ Michael Terry ]
  * debian/control:
    - Do not pass "all" to X-Python-Version, pass ">= 2.6" instead,
      which is known to work with GDebi code (Closes: #648229).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 03 Dec 2011 13:05:55 +0100

gdebi (0.8.2) unstable; urgency=low

  * setup.py:
    - Make buildsystem a little less noisy.
  * GDebi/GDebi.py:
    - Implement a popup menu to copy terminal output (LP: #812471).
    - Show download button only when necessary.
  * gdebi-gtk, GDebi/GDebi.py, data/gdebi.ui. data/gdebi-gtk.1:
    - Implement Uninstall button (LP: #74042).
  * GDebi/GDebiCommon.py:
    - Open .deb file using absolute path.
  * gdebi, GDebi/GDebiCli.py:
    - Improve user's choice regex, thanks Adam Barratt!
  * po/*.po:
    - Refresh translations exported from Rosetta.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 17 Sep 2011 18:25:24 +0200

gdebi (0.8.1) unstable; urgency=low

  [ Michael Vogt ]
  * data/gdebi.ui:
   - fix some spacing issues with the new gtk3/gtkbuilder

  [ Omar Campagne ]
  * po/es.po:
    - Update Spanish translation (Closes: #636243).

  [ Luca Falavigna ]
  * GDebi/GDebi.py, GDebi/KDEAptDialogs.py:
    - Use errno constant instead of hardcoded values.
  * GDebi/GDebi.py:
    - Use get_content_area instead of vbox (LP: #834545).
    - Fix crash when initializing main window (LP: #834839).
  * po/*.po:
    - Refresh translations exported from Rosetta.
  * debian/copyright:
    - Update copyright information.

  [ Pino Toscano ]
  * data/gdebi.desktop.in, data/gdebi-kde.desktop.in
    - Revalidate .desktop files.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 27 Aug 2011 13:55:27 +0200

gdebi (0.8.0) unstable; urgency=low

  * Upload to unstable.
  * GDebi/GDebiCommon.py:
    - Handle exception generated when installing packages not available
      in any archive (LP: #800865).
  * data/gdebi.desktop.in, data/gdebi-kde.desktop.in:
    - Remove NoDisplay to show GDebi in system menus (LP: #803729).

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 01 Jul 2011 19:58:00 +0200

gdebi (0.8~exp2) experimental; urgency=low

  * GDebi/GDebi.py:
    - Fix loading of the logo.
  * GDebi/GDebi.py, data/gdebi.ui:
    - Allow copy of selected text (LP: #90009).
  * GDebi/GDebi.py, GDebi/GDebiCommon.py, GDebi/GDebiKDE.py:
    - Check whether provided packages are not removed in case some
      other package still uses them (LP: #661337).
  * GDebi/DebPackage.py, GDebi/GDebi.py, GDebi/GDebiCommon.py,
    GDebi/GDebiKDE.py, data/GDebiKDEDialog.ui, data/gdebi.u:
    - Allow download and installation of packages available in remote
      repositories (LP: #44456).
  * debian/control:
    - Remove obsolete dependency versions.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 17 Jun 2011 20:22:12 +0200

gdebi (0.8~exp1) experimental; urgency=low

  [ Michael Vogt ]
  * Ported to gtk3/GI.

  [ Luca Falavigna ]
  * gdebi, GDebi/GDebiCli.py:
    - Improve regex to determine user's choice (Closes: #629403).
  * po/*.po:
    - Refresh translations exported from Rosetta.
  * debian/control:
    - Bump Standards-Version to 3.9.2, no changes needed.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 08 Jun 2011 17:41:30 +0200

gdebi (0.7.1) unstable; urgency=low

  [ Luca Falavigna ]
  * GDebi/GDebi.py:
    - Make sure Synaptic subtree is available anytime (LP: #721294).
  * po/*.po:
    - Refresh translations exported from Rosetta.
  * debian/compat:
    - Bump compatibility level to 8.
  * debian/control:
    - Build-depends on python (>= 2.6.6-3~).
    - Fix typos in synopsises.
  * debian/dirs:
    - Obsolete, removed.
  * debian/*.install:
    - Add Python files to be installed in each package.
  * debian/*.links:
    - Install links in /usr/bin pointing to gdebi scripts.
  * debian/pycompat:
    - Obsolete, removed.
  * debian/rules:
    - Complete overhaul.
    - Use dh 8 syntax.
    - Install Python files into /usr/share/gdebi private directory.
    - No longer install Python files into correspondant package, let
      .install files do this task.

  [ Omar Campagne ]
  * po/es.po:
    - Update Spanish translation (Closes: #619469).

  [ David Prévot ]
  * po/fr.po:
    - Update French translation (Closes: #620251).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 31 Mar 2011 23:26:02 +0200

gdebi (0.7.0) unstable; urgency=low

  [ Luca Falavigna ]
  * GDebi/Gdebi.py:
    - Add Launchpad integration (LP: #520353).
    - Assign a proper title to dialog_deb_install (LP: #576566).
  * GDebi/GDebiCli.py:
    - Handle FetchFailedException when a package is not available in
      the mirrors (LP: #442172).
  * GDebi/GdebiKDE.py:
    - Fix status output to correctly display utf-8 chars (LP: #606549).
  * GDebi/Gdebi.py, GDebi/GdebiKDE.py:
    - Use correct IEC prefix name to display Installed-Size (LP: #44286).
  * GDebi/GDebiCli.py:
    - Try to determine correct localized value for "Y" answer by parsing
      first value located into square brackets instead of relying on an
      hardcoded value (Closes: #605147) (LP: #577140).
  * po/*.po:
    - Refresh translations exported from Rosetta.
  * setup.py:
    - Do not ship gdebi.xml mime-info, the .deb mime info is part
      of the shared-mime-info package (Closes: #502717)
  * debian/source/format:
    - Switch to format 3.0 (native).
  * debian/control:
    - Build-depend on python (>= 2.6.5-2~) for dh_python2.
    - Drop python-central build-dependency.
    - Drop obsolete Conflicts/Replaces fields.
  * debian/rules:
    - Switch to dh_python2.

  [ Michael Vogt ]
  * debian/control:
    - recommend on libgtk2-perl instead of libgnome2-perl
  * gio support, thanks to István Nyitrai (LP: #34133, #80862).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 06 Feb 2011 11:15:46 +0100

gdebi (0.6.4) unstable; urgency=low

  [ David Prévot ]
  * po/fr.po:
    - Update French translation (Closes: #594910).

  [ Yaron Shahrabani ]
  * po/he.po:
    - Update Hebrew translation (LP: #626360).

  [ Luca Falavigna ]
  * debian/control:
    - Update maintainer address to the ubuntu-dev-team @Alioth.
    - Bump Standards-Version to 3.9.1, no changes required.

  [ Michael Vogt ]
  * GDebi/GDebi.py:
    - update InstallProgressAdapter to match the new
      apt.progres.base.InstallProgress names
    - fix crash if no synaptic config is there
      (Closes: #597139) (LP: #624703)
    - do not crash if lock can not be released, but log it
      to the console (LP: #630784)
  * GDebi/KDEAptDialogs.py:
    - check if errno is there before using it (LP: #625221)

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 26 Sep 2010 09:41:54 +0200

gdebi (0.6.3) unstable; urgency=low

  [ Michael Vogt ]
  * debian/control:
    - depend on the latest python-apt to get the "dump()"
      method
  * GDebi/GDebi.py:
    - synaptics config is always stored under /root

  [ Andrew Higginson ]
  * GDebi/GDebi.py:
    - Read whether we autoclose from synaptic config
      file and write to it as well (LP: #376966)

  [ Michal Simunek ]
  * po/cs.po:
    - Update Czech translation (Closes: #590848).

  [ Luca Falavigna ]
  * GDebi/GDebiKDE.py:
    - Switch back to kdesudo, kdesu isn't available anymore both in
      Debian and Ubuntu (Closes: #591306).
  * GDebi/GDebi.py:
    - Adjust FetchProgressAdapter namespace, fix NameError exception
      trying to install packages which requires more dependencies
      (LP: #614690).

 -- Michael Vogt <mvo@debian.org>  Fri, 27 Aug 2010 09:42:36 +0200

gdebi (0.6.2) unstable; urgency=low

  [ Michael Vogt ]
  * use DebPackage from python-apt and depend on python-apt >= 0.7.96
  * merged lp:~kiwinote/gdebi/use-python-apt (with some minor
    modifcations)

  [ Luca Falavigna ]
  * GDebi/GDebiKDE.py:
    - Use kdesudo instead of kdesu in Ubuntu (LP: #600644).

 -- Michael Vogt <mvo@debian.org>  Wed, 28 Jul 2010 11:26:02 +0200

gdebi (0.6.1) unstable; urgency=low

  [ Luca Falavigna ]
  * GDebi/DebPackage.py:
    - Correctly parse strictly earlier version of conflicting packages
      to allow installation of packages conflicting with a version lower
      than the one being installed (LP: #484097).
    - Replace imports of deprecated debian_bundle with debian.
  * GDebi/DebPackage.py:
    - Fix typo in format string, thanks Simon Ruggier (Closes: #577851).
  * GDebi/GDebiKDE.py:
    - Use kdesu instead of kdesudo (Closes: #584860).
  * debian/control:
    - Depend on python-debian >= 0.1.15.

  [ Michael Vogt ]
  * use --auto-deconfigure when runnign dpkg to correctly handle C/R.
  * po/es.po:
    - updated, thanks to Omar Campagne (closes: #578612).
  * do not use the VteReaper anymore, use the child-exited and
    get_child_exit_status() functions of VteTerminal for this
    (closes: #574168).
  * make link in about page clickable and point to launchpad.net
    project page (LP: #562729), thanks to Gabe Gorelick.
  * port to python-apt 0.8 API (closes: #571763).

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 24 Jun 2010 21:34:30 +0200

gdebi (0.6.0) unstable; urgency=low

  * data/gdebi.desktop.in, data/gdebi-kde.desktop.in:
    - Remove Encoding field, deprecated.
  * debian/control:
    - Set XS-Python-Version to all (Closes: #570560).
    - Differentiate short descrriptions for gdebi and gdebi-kde.
  * GDebi/DebPackage.py:
    - improve i18n by using %(var)s LP: #403632, thanks to
      David Planella
  * data/gdebi.ui, GDebi/DebPackage.py:
    - alignment fixes in the status label
  * GDebi/SimpleGtkbuilderApp.py:
    - set translation domain here explicitly instead of in gdebi.ui
      (the later is often cleared by glade for some reason)
  * .bzr-builddeb/default.conf:
    - build as native package again
  * unified release for Debian&Ubuntu

 -- Michael Vogt <mvo@debian.org>  Tue, 09 Mar 2010 10:15:03 +0100

gdebi (0.5.9debian3) unstable; urgency=low

  * gdebi, GDebi/GDebiCli.py:
    - Correctly parse translated "y" characters (Closes: #497821).
  * GDebi/GDebiCli.py:
    - Allow install of Debian binary packages with uncommon extensions
      or missing one (Closes: #472693).
  * po/es.po:
    - Update Spanish translation, by Omar Campagne (Closes: #556927).
  * README:
    - No longer mention packages are Ubuntu-specific, they are available
      in Debian too (Closes: #453709).
  * debian/control:
    - Do not build-depend on python-dev, python is enough.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 25 Jan 2010 00:16:13 +0100

gdebi (0.5.9debian2) unstable; urgency=low

  * GDebi/GDebi.py:
    - Do not pass --status-fd to dpkg to avoid install failures due to bad
      descriptors not correctly passed by vte, this can be reverted when
      https://bugzilla.gnome.org/320128 will be fixed.
  * data/gdebi.1, data/gdebi-gtk.1:
    - Refresh man pages, many thanks to Kartik Mistry! (Closes: #531297).
  * data/gdebi-kde.1:
    - Add man page for gdebi-kde.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 20 Oct 2009 23:39:53 +0200

gdebi (0.5.9debian1) unstable; urgency=low

  * New upstream release from Ubuntu (Closes: #514125).
    + Compatible with recent python-apt versions (Closes: #438714).
    + When checking if a dependency is satified, ensure to test for all
      provided ones (Closes: #490870).
    + Let install packages with spaces in the filename (Closes: #515238).
    + Localization updates:
      - Catalan (Closes: #415987).
      - French (Closes: #410377).
      - German (Closes: #511221).
      - Hebrew (Closes: #461138).
      - Slowak (Closes: #531775).
      - Swedish (Closes: #517508).

  * GDebi/GDebi.py:
    + Do not pass --always-ask-pass to gksu, this option is not currently
      supported in Debian gksu package (Closes: #493352).
  * debian/control:
    + Add myself to Uploaders, I will help Gustavo and Michael maintaining
      gdebi in Debian via collab-maint (Closes: #547634).
    + Bump Standards-Version to 3.8.3.
  * debian/copyright:
    + Add copyright notice.
  * debian/rules:
    - Do not hardcode {site,dist}-package directory (Closes: #547873).
    - Remove useless dh_desktop call.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 02 Oct 2009 18:56:30 +0200

gdebi (0.5.9) karmic; urgency=low

  * .bzr-builddeb/default.conf:
    - build with split=True as requested by debian
  * GDebi/GDebi.py:
    - do not crash if exit is selected while the progress bar is
      still going (LP: #428978)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 23 Sep 2009 15:18:21 +0200

gdebi (0.5.8) karmic; urgency=low

  * data/gdebi.ui:
    - add domain="gdebi" to the interface tag to ensure we
      get a translation (LP: #425812)
  * po/POTFILES.in:
    - updated to include gdebi.ui
  * GDebi/SimpleGtkbuilderApp.py:
    - use logging instead of sys.stderr.write()
  * po/*.po:
    - refresh

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 11 Sep 2009 15:21:02 +0200

gdebi (0.5.7) karmic; urgency=low

  * GDebi/GDebi.py:
    - fix markup escape bug in error message output
    - fix typo (LP: #402695)
  * GDebi/DebPackage.py:
    - filter deprecation warnings

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sun, 06 Sep 2009 17:23:17 +0200

gdebi (0.5.6) karmic; urgency=low

  * GDebi/GDebi.py:
    - return full status in waitChild() not just the return code
      (fixes a hang) LP: #414455

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 Sep 2009 10:48:13 +0200

gdebi (0.5.5) karmic; urgency=low

  * GDebi/GDebi.py:
    - do not crash if the filelist can not be read (LP: #407198)
    - avoid busy loop
  * gdebi-gtk:
    - add --auto-close commandline option

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 01 Sep 2009 11:07:05 +0200

gdebi (0.5.4) karmic; urgency=low

  * GDebi/GDebiCli.py:
    - do not crash when dpkg returns a error (LP: #410780)
  * GDebi/GDebi.py:
    - try working around a crash in gtk.Button.set_label()

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 01 Sep 2009 10:34:58 +0200

gdebi (0.5.3) karmic; urgency=low

  * data/gdebi.ui:
    - fix some duplicated IDs (LP: #422096)
  * gdebi-gtk:
    - add "--datadir" argument to support running from
      a local checkout

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 01 Sep 2009 07:43:34 +0200

gdebi (0.5.2) karmic; urgency=low

  * use a treeview in the file list display
  * display control information in the file list
  * support displaing file content in gdebi (both for control and data
    members) with auto-decompress of .gz
  * debian/control:
    - add dependency to python-debian for the new display
      functionatlity

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 29 Jul 2009 17:59:35 +0200

gdebi (0.5.1) karmic; urgency=low

  * po/pt_BR.po:
    - fix typo in translation (LP: #377151)
  * GDebi/SimpleGtkbuilderApp.py:
    - do not crash if sys.stderr can not be used (LP: #402780)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 22 Jul 2009 13:19:33 +0200

gdebi (0.5.0) karmic; urgency=low

  [ Anders Kaseorg ]
  * GDebi/DebPackage.py:
    - Look for Pre-Depends instead of PreDepends.  (Closes: #435577)
      (LP: #392714)

  [ Michael Vogt ]
  * GDebi/DebPackage.py:
    - fix typo (LP: #387022)
  * data/gdebi-kde.desktop:
    - increase initialPreference value (LP: #379150)
  * data/gdebi.ui:
    - ported to GtkBuilder
  * fix crash because we made the window sensitive too early
    (LP: #355268)
  * do not resolve versionized dependencies with virtual
    packages (LP: #373154)
  * honor "GDEBI_DEBUG_LEVEL" environment var
  * GDebi/GDebi.py:
    - workaround bug in vte where forkpty() does not pass the
      environment (LP: #367959)
    - set the image in the gtkbuilder file, hopefully fixes
      (LP: #345260)
  * debian/rules:
    - build with DY_PYCENTRAL=include-links

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Jul 2009 21:06:27 +0200

gdebi (0.4.9) jaunty; urgency=low

  * GDebi/DebPackages.py, GDebi/Cache.py:
    - when checking if a dependency is satified ensure to test
      for all provides (not just pure virtual ones) (LP: #353088)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 01 Apr 2009 15:25:06 +0200

gdebi (0.4.8) jaunty; urgency=low

  * GDebi/GDebi.py:
    - fix crash on reload with no package selected
      (LP: #350755)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 31 Mar 2009 10:59:02 +0200

gdebi (0.4.7) jaunty; urgency=low

  * GDebi/GDebi.py:
    - when the install is finished and the user clicks on
      the auto-close button (thanks Nyitrai István)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Mar 2009 14:01:36 +0100

gdebi (0.4.6) jaunty; urgency=low

  * GDebi/GDebi.py:
    - only call gtk.main_quit() if there is a main loop
      running (LP: #333702)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 18 Mar 2009 10:46:51 +0100

gdebi (0.4.5) jaunty; urgency=low

  [ István Nyitrai ]
  * fix gettext issue with gdebi-kde (LP: #337786)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Mar 2009 16:42:17 +0100

gdebi (0.4.4) jaunty; urgency=low

  [ István Nyitrai ]
  * fix problem with installing utf-8 filenames with gdebi-kde
    (LP: #190907)
  * auto-close checkbutton (LP: #57812)

  [ Michael Vogt ]
  * updated for the new "setup.py --install-layout=deb" and
    dist-packages requirement

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 Mar 2009 13:49:46 +0100

gdebi (0.4.3) jaunty; urgency=low

  [ István Nyitrai ]
  * fix potential crash in kde frontend i18n
    messages  (LP: #316116)

  [ Gabor  Kelemen ]
  * i18n fixes (LP: #332744)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Feb 2009 21:10:01 +0100

gdebi (0.4.2) jaunty; urgency=low

  [ István Nyitrai ]
  * GDebi/GDebiCommon.py:
    - show a more meaningful error message when users
      try to open a non debian package (LP: #289308)


 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 17 Feb 2009 11:00:20 +0100

gdebi (0.4.1) jaunty; urgency=low

  [ Michael Vogt ]
  * GDebi/DebPackage.py:
    - add explaination for translators (LP: #326944)
    - fix typo
  * refresh po/pot (LP: #30008)

  [ István Nyitrai ]
  * GDebi/GDebiCommon.py:
    - improve description for broken deps (LP: #204240)
  * update copyright (LP: #320529)
  * GDebi/GDebiCli.py:
    - fix whitespace in filename problem (LP: #178171)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 16 Feb 2009 09:38:11 +0100

gdebi (0.4.0) jaunty; urgency=low

  [ Michael Vogt ]
  * i18n fixes (LP: #313890), thanks to Gabor Kelemen
  * merged da.po translation update (thanks to Joe Dalton)
  * GDebi/DebPackage.py:
    - better error string for versionized dependencies (LP: #160218)
    - do not crash on packages with no architecture field but show
      a error instead (LP: #261266)
    - fix improper checking for reverse conflicts/strict dependencies
      (LP: #312022)
  * GDebi/GDebi.py:
    - fix filelist display for debs with utf-8 chars (LP: #257597)
    - add refresh action (LP: #156214)
    - tell the user what is being installed
  * data/gdebi.glade:
    - make the status text selectable (LP: #50212)
    - Open is now "Open..." (LP:# 90010)
  * unify the utf8 methods and deal properly with non-utf8 input
    (fixes crash in gdebi-kde, LP: #149893)

  [ Harald Sitter ]
  * Fix gdebi-kde icon (application-x-deb)
  * Change install path of gdebi-kde desktop file to applications/kde4

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 23 Jan 2009 08:39:52 +0100

gdebi (0.3.13) intrepid; urgency=low

  [ Jonathan Riddell ]
  * GDebi/GDebiKDE.py
    - Port to KDE 4

  [ Michael Vogt ]
  * GDebi/GDebi.py:
    - if the terminal has no updates for a long time, expand
      it (assuming some sort of prompting is going on, LP: #252632)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Aug 2008 16:28:53 +0200

gdebi (0.3.12) intrepid; urgency=low

  * GDebi/GDebi.py:
    - fix utf-8 disply (LP: #109907)
    - do not crash if the file disappeared in --non-interactive
      mode (LP: #213725)
    - fix incorrect statusline when cache can not be locked
      (LP: #212105)
  * GDebi/DebPackage.py:
    - do not crash when the filelist can not be read because of
      gvfs strangeness (LP: #211822)
  * gdebi-gtk:
    - do not crash when DISPLAY is not accessable (LP: #204543)
  * data/gdebi.desktop.in:
    - add "Startup-Notify=true" (LP: #120920)
  * merge debian fixes (thanks to Amaya Rodrigo Sastre and
    Barry deFreese)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 22 Jul 2008 17:39:47 +0200

gdebi (0.3.11debian1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * GDebi/GDebi.py: Don't use non-existent vte features but
    use a wrapper to proxy dpkg statusfd via a named pipe.
    Closes: #493353.

 -- Thomas Viehmann <tv@beamnet.de>  Sat, 04 Oct 2008 16:23:23 +0200

gdebi (0.3.11debian1) unstable; urgency=low

  [ Barry deFreese ]
  * Non-maintainer upload.
  * New upstream from Ubuntu. (Closes: #440834, #403335, #469593).
    - Debhelper commands in right order. (Closes: #449495).
  * Add Turkish translation.
  * Remove KDE package for now.

  [ Amaya Rodrigo Sastre ]
  * Make lintian happy:
    - Fix white space in debian/changelog
    - Bump standards-version, no changes needed.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Tue, 22 Jul 2008 11:39:35 +0200

gdebi (0.3.11) intrepid; urgency=low

  * Setup the option parser with a version to enable the --version flag.

 -- Loic Minier <lool@dooz.org>  Fri, 27 Jun 2008 19:00:42 +0200

gdebi (0.3.10) intrepid; urgency=low

  * Cleanup rules.
  * Use binary-indep instead of binary-arch; thanks lintian.
  * Call dh_* with -i in binary-indep.
  * Drop dh_shlibdeps and ${shlib:Depends}.
  * Use ${source:Version} instead of ${binary:Version}.
  * Wrap Uploaders, build-deps and deps.
  * Add ${misc:Depends}.

 -- Loic Minier <lool@dooz.org>  Fri, 27 Jun 2008 18:22:13 +0200

gdebi (0.3.9) intrepid; urgency=low

  * Add parsing of -o, --option in the CLI to pass arbitrary APT configuration
    options.
  * Add trailing \n to the "Unkown package type" string.
  * Fix typo (s/Unkown/Unkown).

 -- Loic Minier <lool@dooz.org>  Fri, 27 Jun 2008 18:11:42 +0200

gdebi (0.3.8) hardy; urgency=low

  * GDebi/GDebiKDE.py:
    Fix installation of .deb packages with spaces in the filename;
    Patch from Adam Spain (LP: #152856)

 -- Daniel Hahler <ubuntu@thequod.de>  Sat, 19 Apr 2008 19:26:08 +0200

gdebi (0.3.7) hardy; urgency=low

  [ Michael Vogt ]
  * po/cs.po:
    - updated (thanks to Kamil Páral)

  [ Harald Sitter ]
  * debian/gdebi-kde.links:
    - Make gdebi-kde available in KDE 4 (LP: #17721)
  * data/gdebi-kde.desktop.in:
    - Set the initial preference for gdebi-kde

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 10 Apr 2008 16:18:18 +0200

gdebi (0.3.6) hardy; urgency=low

  * GDebi/GDebiCommon.py:
    - init self.install, self.remove with the correct type
      (LP: #173249)
  * debian/control:
    - updated standards version to 3.7.3

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 11 Mar 2008 21:31:54 +0100

gdebi (0.3.5debian1.1) unstable; urgency=low

  * NMU. Rebuild to move files to /usr/share/pyshared. Closes: #490463.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jul 2008 15:56:23 +0000

gdebi (0.3.5debian1) unstable; urgency=low

  * new release
  * remaining diff against ubuntu:
    - do not use --always-ask when running gksu
    - Vcs-Bzr location

 -- Michael Vogt <mvo@debian.org>  Mon, 03 Mar 2008 15:45:48 +0100

gdebi (0.3.5) hardy; urgency=low

  [ Michael Vogt ]
  * GDebi/DebPackage.py:
    - support lzma packages
  * gdebi-gtk:
    - run gtk.init_check()
  * GDebi/DebPackage.py:
    - properly support Replaces (LP: #146398)

  [ Daniel Hahler ]
  * properly handle packages that conflict with their own provides.
    Fixes LP: #141126.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 03 Mar 2008 15:39:11 +0100

gdebi (0.3.3) unstable; urgency=high

  * NMU of 0.3.2 from bazaar.launchpad.net/~ubuntu-core-dev/gdebi/ubuntu/.
    Last Debian upload was 0.2.5~pre1, which like this package was just an
    upload to Debian of the Ubuntu version.
  * debian/rules clean deletes some otherwise leftover files:
     build GDebi/Version.py po/mo.
  * Undo changes to Maintainer (wiki.ubuntu.com/DebianMaintainerField)
  * Cut-and-paste 0.2.5~pre1 changelog entry into right place.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Wed, 07 Nov 2007 22:31:39 +0000

gdebi (0.3.2ubuntu1) gutsy; urgency=low

  * do not crash on reinstall, thanks to Joao Pinto (LP: #123674, #129526)
  * fix off-by-one error when parsing dpkg output (LP: #149755)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 06 Oct 2007 10:37:32 +0200

gdebi (0.3.1ubuntu1) gutsy; urgency=low

  * gdebi-gtk:
    - fix error dialog when software cache is broken
  * GDebi/DebPackage.py:
    - use APT::Architecture when checking if the architecture
      of the package is for us

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 06 Aug 2007 17:03:31 +0200

gdebi (0.3.0ubuntu1) gutsy; urgency=low

  [Martin Böhm]
  * GDebi/GDebiKDE.py
    GDebi/KDEAptDialogs.py
    gdebi-kde
    data/GDebiKDEDialog.ui
    data/GDebiKDEInstallDialog.ui
    - added a KDE frontend for gdebi
  * GDebi/GDebiCommon.py:
    - added a common class for KDE and GNOME frontends
  * GDebi/GDebi.py:
    - the GNOME frontend is now using the common class as well
  [Michael Vogt]
  * debian/rules, debian/gdebi-kde.install:
    - install into the gdebi-core, gdebi, gdebi-kde packages
  * debian/control:
    - added XS-Vcs-Bzr header
    - adjusted python-apt dependency

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 25 Jun 2007 10:20:02 +0200

gdebi (0.2.5ubuntu1) gutsy; urgency=low

  * cosmetic fixes in progress reporting
  * updated fi.po (thanks to Timo Jyrinki!)
  * pass DEBIAN_FRONTEND and APT_LISTCHANGES_FRONTEND
    environment to dpkg too
  * Recommend libgnome2-perl for gnome debconf
  * GDebi/GDebiCli.py:
    - do not crash on unknown file types (LP#113094)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 May 2007 12:14:48 +0200

gdebi (0.2.5~pre1) experimental; urgency=low

  * Merge changes up to gdebi 0.2.4ubuntu1.
    - Introduce in Debian the package split, gdebi-core for CLI and
      gdebi for GUI.
  * Ack NMU, thanks Thomas.

 -- Gustavo Franco <stratus@debian.org>  Mon, 23 Apr 2007 03:12:47 -0300

gdebi (0.2.4ubuntu1) feisty; urgency=low

  * GDebi/GDebi.py:
    - do not crash if the logo can't be loaded
    - do not crash in non-interactive mode when the deb can't
      be read (LP#94551)
  * gdebi:
    - do not crash when runing as non-root (LP#93786)
    - do not crash if the cache can not be opened (LP#95650)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  5 Apr 2007 18:25:36 +0200

gdebi (0.2.4debian1) unstable; urgency=low

  * updated to new upstream version

 -- Michael Vogt <mvo@debian.org>  Tue, 24 Apr 2007 21:18:44 +0200

gdebi (0.2.3ubuntu1) feisty; urgency=low

  * GDebi/DebPackage.py:
    - improve the dependency handling for virtual packages
      (thanks to Rheinhard Tartler for reporting)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 19 Mar 2007 20:07:06 +0100

gdebi (0.2.2ubuntu1) feisty; urgency=low

  * GDebi/GDebiCli:
    - if run with a different rootdir, check the architecture
      used there
  * debian/control:
    - updated Maintainer field and added XSBC-Original-Maintainer

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Mar 2007 09:43:15 +0100

gdebi (0.2.1ubuntu1) feisty; urgency=low

  * GDebi/DebPackage.py:
    - deal with virtual packages that have no provider (LP#90909)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Mar 2007 13:52:39 +0100

gdebi (0.2ubuntu16) feisty; urgency=low

  * deal with virtual packages with a single provider in the same
    way as apt and select that the provider (LP#90714)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  9 Mar 2007 11:01:00 +0100

gdebi (0.2ubuntu15) feisty; urgency=low

  * GDebi/GDebiCli.py:
    - write errors to stderr (thanks to dholbach for noticing)
  * gdebi:
    - fix help output (LP#89975)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  8 Mar 2007 10:29:08 +0100

gdebi (0.2ubuntu14) feisty; urgency=low

  * GDebi/GDebi.py:
    - warn about security implication in gksu prompt and
      run gksu with --always-ask-pass
  * debian/control:
    - depend on gksu with --always-ask-pass switch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  5 Mar 2007 10:49:14 +0100

gdebi (0.2ubuntu13) feisty; urgency=low

  * do not crash when a deb file could not be opened in non-interactive
    mode (LP#87696)
  * support debian/control files too (for pbuilder support)
  * added --apt-line switch to generate a apt compatiable commandline
    (for pbuilder support)
  * added --quiet commandline switch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  1 Mar 2007 13:20:30 +0100

gdebi (0.2ubuntu12) feisty; urgency=low

  * GDebi/DebPackages.py:
    - properly init binaries when reading a .dsc file
  * data/gdebi.glade:
    - make the install dialog modal
  * GDebi/GDebi.py:
    - disconnect child_exited from the VteReaper after dpkg
      was run to prevent multiple invocations (LP#87029)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 22 Feb 2007 16:05:49 +0100

gdebi (0.2ubuntu11) feisty; urgency=low

  * gdebi:
    - show help message when run without arguments (LP#86481)
  * data/gdebi.glade:
    - make the text non-selectable to work-around initial selection bug
      (LP#63629)
  * GDebi/GDebi.py:
    - fix exception string on install/fetch errors
    - fix dialog parent problem (LP#71051)
    - fix fetchprogress download speed string (LP#59630)
  * GDebi/DebPackages.py:
    - fix .bz2 package reading (LP#83076)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Feb 2007 16:14:39 +0100

gdebi (0.2ubuntu10) feisty; urgency=low

  * fix in the .dsc parsing when architecture specific dependendies
    are given (thanks to Ian Jackson for pointing out the problem)
  * added gdebi --non-interactive

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Feb 2007 15:45:19 +0100

gdebi (0.2ubuntu9) feisty; urgency=low

  [ Michael Vogt ]
  * fixed i18n in yes/no question

  [ Christian Bjälevik ]
  * po/*:
    - Updated gdebi.pot and all .po.
    - Translated sv.po.

 -- Christian Bjälevik <nafallo@ubuntu.com>  Tue,  6 Feb 2007 21:04:49 +0100

gdebi (0.2ubuntu8) feisty; urgency=low

  * fully support automatic dependencies (lp: #66382)
  * debian/control:
    - depend on python-apt that supports automatic-dependencies
  * fix P/C/R handline bug for certain virtual packages
  * fix hardcoded python version (lp: #81790)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 31 Jan 2007 10:59:25 +0100

gdebi (0.2ubuntu7) feisty; urgency=low

  * added missing Conflicts/Replaces when the package split was done
  * undo the automatic-dependencies change for herd-3 as python-apt
    is not yet ready (will be re-added once herd-3 was released)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 31 Jan 2007 10:15:25 +0100

gdebi (0.2ubuntu6) feisty; urgency=low

  * fully support automatic dependencies (lp: #66382)
  * debian/control:
    - depend on python-apt that supports automatic-dependencies

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 26 Jan 2007 17:14:00 +0100

gdebi (0.2ubuntu5) feisty; urgency=low

  * fix bug in DscFile parser
  * speed up the dependency calculation

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 Jan 2007 18:07:27 +0100

gdebi (0.2ubuntu4) feisty; urgency=low

  * Make split into two packages build on feisty, where
    debian/tmp/usr/share/locale isn't created during setup.py.
  * Use dh_install instead of dh_movefiles.

 -- Ian Jackson <iwj@ubuntu.com>  Wed, 24 Jan 2007 16:01:42 +0000

gdebi (0.2ubuntu3) feisty; urgency=low

  * Split into two packages: gdebi and gdebi-core.

 -- Ian Jackson <iwj@ubuntu.com>  Wed, 24 Jan 2007 11:20:09 +0000

gdebi (0.2ubuntu2) feisty; urgency=low

  * updated to the latest python policy (lp: #79190)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 Jan 2007 10:11:31 +0100

gdebi (0.2ubuntu1) feisty; urgency=low

  * filter out python-apt future warnings
  * support for build-dep resolving on .dsc files added

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Dec 2006 11:46:06 +0100

gdebi (0.1.6ubuntu1) edgy; urgency=low

  * show a better finish message (ubuntu: #37651)
  * fixes for the new auto-dependency removal apt (ubuntu: #53655)
  * check for broken packages early (ubuntu: #40050)
  * merged the debian changes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  4 Aug 2006 13:45:16 +0200

debi (0.1.6debian1) unstable; urgency=low

  * Non-maintainer upload.
  * Update program translations:
    - Swedish (Closes: #364418)
    - French (Closes: #364992)
    - Czech (Closes: #366251)

 -- Thomas Huriaux <thomas.huriaux@gmail.com>  Sat, 27 Jan 2007 15:22:50 +0100

debi (0.1.6) unstable; urgency=low

  * New Python Policy release. (Closes: #380810)
    - Bump up Standards-Version to 3.7.2
    - Move debhelper and python-all-dev to Build-Depends field
    - Add python-support to Build-Depends-Indep field
      [debian/control]
    - debian/rules: Add dh_pysupport call before dh_python
    - Add debian/pycompat and debian/pyversions
  * Merge 0.1.6ubuntu1 changes.
  * updated to new upstream version

 -- Gustavo Franco <stratus@debian.org>  Tue, 22 Aug 2006 15:52:22 -0300

gdebi (0.1.5) unstable; urgency=low

  * Sync with Ubuntu
    - add depends on gnome-icon-theme (Closes: #358874)
    - pofiles updated (Closes: #352562)
    - swedish translation included (Closes: #350394)
    - french translation included (Closes: #354112)
    - czech translation included (Closes: #356465)

 -- Gustavo Franco <stratus@debian.org>  Tue, 11 Apr 2006 17:40:13 -0300

gdebi (0.1.4ubuntu13) dapper; urgency=low

  * data/gdebi.glade:
    - "Included Files" text area is not editable (#44293)
    - make some labels selectable (Maintainer, Section, etc)
     (ubuntu #44295)
  * GDebi/GDebi.py:
    - add "KB" for the size (#44286)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 May 2006 02:00:23 +0200

gdebi (0.1.4ubuntu12) dapper; urgency=low

  * GDebi/GDebi.py:
    - fix bug in the invokation of the child
    - don't fail on non utf-8 descriptions (ubuntu: #39786)
  * po/POTFILES.in:
    - added missing file (ubuntu #44354)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 May 2006 11:38:17 +0200

gdebi (0.1.4ubuntu11) dapper; urgency=low

  * use desktop file when runing gksu (thanks to
    Sebastian Heinlein)
  * i18n updates from debian

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  8 May 2006 21:43:30 +0200

gdebi (0.1.4ubuntu10) dapper; urgency=low

  * add the application/x-debian-package mimetype (apache likes to use this
    one)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 31 Mar 2006 12:24:55 +0200

gdebi (0.1.4ubuntu9) dapper; urgency=low

  * fix some missing i18n strings

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Mar 2006 21:05:27 +0200

gdebi (0.1.4ubuntu8) dapper; urgency=low

  * more polish (strings, ui), thanks to Sebastian Heinlein

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Mar 2006 11:40:41 +0100

gdebi (0.1.4ubuntu7) dapper; urgency=low

  * Add missing build-depends on intltool to resolve current FTBFS.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 20 Mar 2006 18:21:22 +1100

gdebi (0.1.4ubuntu6) dapper; urgency=low

  * spelling and i18n fixes

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  8 Mar 2006 10:57:29 +0000

gdebi (0.1.4ubuntu5) dapper; urgency=low

  * data/gdebi.xml: added shared-mime-info description file

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  1 Mar 2006 12:30:43 +0100

gdebi (0.1.4ubuntu4) dapper; urgency=low

  * gdebi: added --help
  * GDebi/*.py: pychecker warnings fixed, cleanups
  * GDebi/GDebi.py:
    - fix the detection of packages already in the repo
    - fix some non-translatable strings

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  1 Mar 2006 10:30:03 +0100

gdebi (0.1.4ubuntu3) dapper; urgency=low

  * GDebi/GDebi.py: use the improved InstallProgress api
  * debian/control: require the latest python-apt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Feb 2006 12:43:14 +0100

gdebi (0.1.4ubuntu2) dapper; urgency=low

  * make the window closable again
  * don't require a display in the cli version (wrong imports)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Feb 2006 20:34:29 +0100

gdebi (0.1.4ubuntu1) dapper; urgency=low

  * [Michael Vogt]
    - detect conffile/error from dpkg and apt and expand the terminal then

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 Jan 2006 11:28:01 +0100

gdebi (0.1.4) unstable; urgency=low

  * [Sebastian Heinlein]
    - big UI improvements, HIGification
  * [Michael Vogt]
    - bugfixing
    - added drag'n'drop

 -- Gustavo Franco <stratus@debian.org>  Mon, 23 Jan 2006 16:16:30 -0200

gdebi (0.1.3) unstable; urgency=low

  * [ Gustavo Franco ]
    * manpages (removed since 0.1.1) added again.
  * [ Michael Vogt ]
    * small ui fixes
    * detect unauthenticated packages (requires python-apt 0.6.16)

 -- Gustavo Franco <stratus@debian.org>  Sat, 14 Jan 2006 19:45:11 -0200

gdebi (0.1.2) unstable; urgency=low

  [ Michael Vogt ]
  * added danish translation (thanks to Lasse Bang Mikkelsen)
  * replaced subprocess (python 2.4 only) related code

  [ Gustavo Franco ]
  * debian/rules: CFLAGS references removed

 -- Gustavo Franco <stratus@debian.org>  Tue, 03 Jan 2006 00:22:05 -0200

gdebi (0.1.1debian1) unstable; urgency=low

  * Merged with Ubuntu.

 -- Gustavo Franco <stratus@debian.org>  Sat, 31 Dec 2005 16:04:43 -0200

gdebi (0.1.1) dapper; urgency=low

  * rewrote the InstallProgress code
  * much improved error reporting
  * reinstall support

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 29 Dec 2005 13:28:47 +0100

gdebi (0.1debian2) unstable; urgency=low

  * python-gtk2 dependencies downgraded to 2.6.3-2.

 -- Gustavo Franco <stratus@debian.org>  Sat, 31 Dec 2005 02:25:37 -0200

gdebi (0.1debian1) unstable; urgency=low

  * First Debian release. (Closes: #344549)
  * debian/control:
    - Maintainer field changed.
    - Depends field cleaned up.
    - Description extended a bit.
    - Standards-Version updated to 3.6.2.1.
  * debian/gdebi.manpages: reference and simple manpages added.

 -- Gustavo Franco <stratus@debian.org>  Fri, 23 Dec 2005 15:09:12 -0200

gdebi (0.1) dapper; urgency=low

  * check if a already installed package is downloadable
    before displaying a message about the cache content

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  5 Dec 2005 18:15:17 +0100

gdebi (0.0+bzr20051129) dapper; urgency=low

  * data/gdebi.desktop:
    - fix exec to gdebi-gtk (thanks to Ernst Persson)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 29 Nov 2005 16:08:25 +0100

gdebi (0.0+bzr20051128) dapper; urgency=low

  * make use of the improved cache.commit() code in python-apt
  * proper error reporting when the dependency download fails

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Nov 2005 14:05:21 +0100

gdebi (0.0+bzr20051125) dapper; urgency=low

  * add check if the package is available in the cache as well, if
    so, tell the user about it
  * gui cleanups
  * inital upload into ubuntu

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sun, 20 Nov 2005 15:00:15 +0100

gdebi (0.0+bzr20051117.2) dapper; urgency=low

  * add gksu to dependencies (needed to become root)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 17 Nov 2005 11:34:54 +0100

gdebi (0.0+bzr20051117.1) dapper; urgency=low

  * fix a bug in the versionsied conflicts detection

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Nov 2005 15:59:28 +0100

gdebi (0.0+bzr20051117) dapper; urgency=low

  * fix some visual glitches

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Nov 2005 12:51:13 +0100

gdebi (0.0+bzr20051116) dapper; urgency=low

  * fix in the problem resolver logic

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Nov 2005 00:06:31 +0100

gdebi (0.0+bzr20051112) dapper; urgency=low

  * Initial Release.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 14 Oct 2005 16:21:45 +0200
